<!doctype html>

<html lang="fr">
<head>
	<meta charset="utf-8">
	<title>Jeu de la fourchette</title>
</head>


<body>

<header> <h1> Le joueur doit trouver le nombre choisit par l'ordinateur en moins de 10 coups. </h1></header>

<main>
	<style>

	header h1 {
		text-align: center;
		color : white;
		background-color: black;
	}

	body {
			background-image: url("faces.jpg");
			background-repeat: no-repeat;
			background-position: center;
			margin-top: 200px;
			}
	</style>


<h1> Fourchette - Le Joueur doit trouver </h1>

<script>

function coup (min, max) {
	var joueur;
	var ordi = Math.ceil(Math.random()*100);
	var coups = 0;
	var min;
	var max;

	while (joueur != ordi) {
		joueur = prompt("devine un chiffre entre " + min +  " et " + max + ".")

		if (min > max) {
			alert("les paramètres sont faux");
			break;
		}

		if (isNaN(joueur)) {
			alert("J'ai dit un nombre gogole");
			coups--;
		}

		coups++;

		if ( joueur > ordi ) {
			alert( "trop grand");
			}

		if ( joueur < ordi) {
			alert("trop petit");
		}

		alert("tu as joué " + coups + " coup(s) !")

		if ( coups >= 10 ) {
			alert("C'est bon arrête t'es trop nul");
			break;
		}


	}
	if (joueur == ordi ) {
		alert ("tu as gagné en " + coups + " ! ");
	}
}

</script>

<h1> Fourchette à l'envers - L'ordinateur doit trouver  </h1>

<script>
	

	function fourchette () {
		var min = 1;
		var max = 100;
		var ordi = 50;
		var player;

		while (player != "!") {

			player = prompt( "est ce + ou - que" + ordi + " ?")

				if ( player == "+") {
					min = ordi;
					ordi = Math.round((min + max)/2);
					continue;
					}

				if ( player == "-") {
					max = ordi;
					ordi = Math.round((min + max)/2);
					continue;
					}

				if (player == "!") {
					alert("tu as gagné");
					return ordi; /*return arrete la fonction et toutes les boucles*/ 
					}		

				else { 
					alert("je n'ai pas compris");
					continue;
					}
			}
	}

</script>

</main>

</body>

</html>